Printing on OpenBSD - BSD

This is a discussion on Printing on OpenBSD - BSD ; What's the trick for getting OpenBSD to print? After a long struggle, I did manage to get 3.4 to print. The same steps did not work on 3.6 and I'm having no luck so far with 3.7. I'm using the ...

+ Reply to Thread
Results 1 to 2 of 2

Thread: Printing on OpenBSD

  1. Printing on OpenBSD


    What's the trick for getting OpenBSD to print? After a long struggle, I
    did manage to get 3.4 to print. The same steps did not work on 3.6 and
    I'm having no luck so far with 3.7.

    I'm using the OpenBSD 3.7 binary packages for ghostscript-8.14p3.tgz and
    cups-1.1.23p2.tgz. The same hardware prints fine under Linux using a
    similar CUPS configuration.

    The test page will not print. The "Jobs" page of the CUPS web interface
    says that the print job was cancelled. The same thing happens when I
    try to print a text file using "lpr" from a terminal window.

    In order to get version 3.4 to print, I had to download and compile ESP
    Ghostscript. (That didn't help with 3.6) Do I need to do that now? If
    that's needed to use CUPS, why isn't there an ESP Ghostscript package?

    Duane
    ---------------------------------------------------------
    Duane A. Damiano duane@damiano.name
    841 East Fort Avenue #310 Phone: 410-685-6221
    Baltimore MD 21230-5117 U.S.A.


  2. Re: Printing on OpenBSD

    Duane A. Damiano wrote:
    > What's the trick for getting OpenBSD to print? After a long struggle, I
    > did manage to get 3.4 to print. The same steps did not work on 3.6 and
    > I'm having no luck so far with 3.7.
    >
    > I'm using the OpenBSD 3.7 binary packages for ghostscript-8.14p3.tgz and
    > cups-1.1.23p2.tgz. The same hardware prints fine under Linux using a
    > similar CUPS configuration.
    >
    > The test page will not print. The "Jobs" page of the CUPS web interface
    > says that the print job was cancelled. The same thing happens when I
    > try to print a text file using "lpr" from a terminal window.
    >
    > In order to get version 3.4 to print, I had to download and compile ESP
    > Ghostscript. (That didn't help with 3.6) Do I need to do that now? If
    > that's needed to use CUPS, why isn't there an ESP Ghostscript package?
    >
    > Duane
    > ---------------------------------------------------------
    > Duane A. Damiano duane@damiano.name
    > 841 East Fort Avenue #310 Phone: 410-685-6221
    > Baltimore MD 21230-5117 U.S.A.
    >

    I had to do the same, it was quite a long an frustrating process.
    I'll keep you posted on what I have to do. I think I my have to just use
    esps ghostscript .
    -C

+ Reply to Thread